petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexGetMeet

Get an array for the meet of the set of points

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMeet(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveringPoints, const PetscInt **coveringPoints)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| numPoints | - The number of input points for the meet
| points | - The input points

### Output Parameters

| numCoveredPoints | - The number of points in the meet
| coveredPoints | - The points in the meet

Note: Currently, this is restricted to a single level meet

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

The numCoveredPoints argument is not present in the Fortran 90 binding since it is internal to the array.

### Keywords

mesh

### See Also

DMPlexRestoreMeet(), DMPlexGetJoin()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages